# !/bin/sh
echo ""
echo "* To start/stop/restart omc service, please run:"
echo "    sudo systemctl start/stop/restart restagent.service"
echo "    sudo systemctl start/stop/restart crontask.service"
echo "    sudo systemctl start/stop/restart sshsvc.service"
echo "    sudo systemctl start/stop/restart captrace.service"
echo "    or run: "
echo "    sudo /usr/local/omc/bin/omcsvc.sh start/stop/restart/status"
echo ""

systemctl enable restagent.service
systemctl enable crontask.service
systemctl enable sshsvc.service
systemctl enable captrace.service
systemctl daemon-reload
if ! id -u omc >/dev/null 2>&1 ; then     
    useradd -d /opt/omc -m -s /bin/bash -pomc123 omc; 
    mkdir -p /opt/omc/ftp
else 
    echo "user omc exist"; 
fi

